import AmazonMWS = require('amazon-mws');
import { AmazonType } from "..";
export interface MwsOptions {
    SellerId: string;
    MarketplaceId: string;
    MWSAuthToken?: string;
    Version?: string;
    Action?: string;
    FeedSubmissionId?: string;
    __RAW__?: boolean;
    FeedType?: string;
    FeedContent?: string;
    IdType?: string;
    'IdList.Id.1'?: string;
    Query?: string;
    ReportId?: string;
    ReportType?: string;
    'MarketplaceId.Id.1'?: string;
    'MarketplaceIdList.Id.1'?: string;
    'ReportRequestIdList.Id.1'?: string;
    LastUpdatedAfter?: Date;
    AmazonOrderId?: string;
    NextToken?: string;
}
export interface MwsState {
    mws: AmazonMWS;
    options: MwsOptions;
}
export declare class MwsCreator {
    create(accessKey: string, secretKey: string, sellerId: string, marketplace: AmazonType, token?: string): MwsState;
}
